"use strict";
var yargs = require("yargs");
var cli_1 = require("./cli");
var cli = new cli_1.Cli();
var argv = yargs.usage("$0 command")
    .command("init", "Initialize server with a config file.", function (yargs) { return cli.init(yargs); })
    .command("key:generate", "Generate an app key.", function (yargs) { return cli.keyGenerate(); })
    .command("referrer:add", "Register a referrer that can make api requests.", function () { return cli.referrerAdd(yargs); })
    .command("referrer:remove", "Remove a referrer that has been registered.", function (yargs) { return cli.referrerRemove(yargs); })
    .command("start", "Start up the server.", cli.start)
    .demand(1, "Please provide a valid command.")
    .help("h")
    .alias("h", "help")
    .argv;
